/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.gui.controladores.esquemaoperacional;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Controller;
import org.zkoss.zk.ui.Component;
import org.zkoss.zk.ui.event.Event;
import org.zkoss.zul.Combobox;
import org.zkoss.zul.Paging;

import com.rjconsultores.ventaboletos.entidad.Conexion;
import com.rjconsultores.ventaboletos.service.ConexionService;
import com.rjconsultores.ventaboletos.web.utilerias.MyGenericForwardComposer;
import com.rjconsultores.ventaboletos.web.utilerias.MyListbox;
import com.rjconsultores.ventaboletos.web.utilerias.paginacion.PagedListWrapper;

/**
 * 
 * @author Gleimar
 */
@Controller("busquedaConexionController")
@Scope("prototype")
public class BusquedaConexionController extends MyGenericForwardComposer {

	@Autowired
	private ConexionService conexionService;
	private MyListbox conexionesList;
	private Paging pagingConexiones;
	private Combobox cmbParadaOrigem;
	private Combobox cmbParadaDestino;
	

	@Override
	public void doAfterCompose(Component comp) throws Exception {
		super.doAfterCompose(comp);
	}

	public void onClick$btnPesquisa(Event ev) throws InterruptedException {
		refreshLista();
	}

	private void refreshLista() {
		conexionesList.setData(conexionService.buscarConexiones(null, null));
	}
}
